<?php use_helper('UrlFunctions'); ?>
<?php
//error_reporting(E_ALL);
ini_set('display_errors','On'); //PARA PRODUCCION "Off"
$s_User = myUser::getUser()->getUserId();
function eliminar_acento ( $cadena )
{
    $originales  = 'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûýýþÿŔŕ';
    $modificadas = 'aaaaaaaceeeeiiiidnoooooouuuuybsaaaaaaaceeeeiiiidnoooooouuuyybyRr';
    $cadena = utf8_decode($cadena);
    $cadena = strtr($cadena, utf8_decode($originales), $modificadas);
    $cadena = strtolower($cadena);
    return utf8_encode( stripAccents( $cadena ) );
}
function stripAccents( $string )
{
    return strtr($string,'àáâãäçèéêëìíîïñòóôõöùúûüýÿÀÁÂÃÄÇÈÉÊËÌÍÎÏÑÒÓÔÕÖÙÚÛÜÝ','aaaaaceeeeiiiinooooouuuuyyAAAAACEEEEIIIINOOOOOUUUUY');
}
if( isset( $_POST['b_Control'] ) )
{
    try
    {
        //header("Content-Type: text/html; charset=utf-8");

        $FEsPrincipal = !isset( $FEsPrincipal ) ? "" : $FEsPrincipal;

        $size_file      = $_FILES['Archivo']['size']; //: tamaño en bytes del archivo recibido
        $type_file      = $_FILES['Archivo']['type']; //: tipo mime del archivo, por ejemplo image/gif
        $name_file      = eliminar_acento( $_FILES['Archivo']['name'] ); //: nombre original del archivo
        $dir_tmp_name   = $_FILES['Archivo']['tmp_name']; //: nombre del archivo temporal que se utiliza para almacenar en

        
        
        
        

		//BASADO EN JPEG, PARA USAR EN PNG, GIF ETC CAMBIAR EL NOMBRE DE LAS FUNCIONES
		
				

        
        
        //VALIDACION - VARIOS
        if( $size_file > 2048000 )
        {
            //throw new Exception( "No se permite Archivos mayores a 2MB." );
        }
        if( $dir_tmp_name == "" )
        {
            throw new Exception( "No se puede guardar este Archivo." );
        }
        ///////////////////////////////////

        if( strpos( strtolower( $name_file ), 'pdf' ) !== false )
        {

        }

        //SE GUARA EL ARCHIVO
        $s_DirImages = $_SERVER['DOCUMENT_ROOT']."/images/uploadFiles/";

        $prefijo = substr( md5( uniqid( rand() ) ), 0, 6 );
        $name_file     = $CodTipoDocumento."_".$prefijo."_".$name_file;
        $destino =  $s_DirImages.$name_file;
        
        
        if (isset($_FILES['Archivo']) && $_FILES['Archivo']['tmp_name']!=''){
			
			$s_DirImages = $_SERVER['DOCUMENT_ROOT']."/images/uploadFiles/";
		
			//Imagen original
			$rtOriginal=$_FILES['Archivo']['tmp_name'];
			
			//Crear variable
			$original = imagecreatefromjpeg($rtOriginal);
			
			//Ancho y alto máximo
			$max_ancho = 600; $max_alto = 400;
			 
			//Medir la imagen
			list($ancho,$alto)=getimagesize($rtOriginal);
			
			//Ratio
			$x_ratio = $max_ancho / $ancho;
			$y_ratio = $max_alto / $alto;
			
			//Proporciones
			if(($ancho <= $max_ancho) && ($alto <= $max_alto) ){
			    $ancho_final = $ancho;
			    $alto_final = $alto;
			}
			else if(($x_ratio * $alto) < $max_alto){
			    $alto_final = ceil($x_ratio * $alto);
			    $ancho_final = $max_ancho;
			}
			else {
			    $ancho_final = ceil($y_ratio * $ancho);
			    $alto_final = $max_alto;
			}
			
			//Crear un lienzo
			$lienzo=imagecreatetruecolor($ancho_final,$alto_final); 
			
			//Copiar original en lienzo
			imagecopyresampled($lienzo,$original,0,0,0,0,$ancho_final, $alto_final,$ancho,$alto);
			 
			//Destruir la original
			imagedestroy($original);
			
			//Crear la imagen y guardar en directorio upload/
			
			if($type_file = "image/jpeg"){
				imagejpeg($lienzo,$destino);
			}
			if($type_file = "image/gif"){
				imagegif($lienzo,$destino);
			}
			if($type_file = "image/png"){
				imagepng($lienzo,$destino);
			}
		}
        
        

        //echo $dir_tmp_name." - ".$s_DirImages." - ".$destino;

        //if ( copy( $dir_tmp_name, $destino ) )
        //{
            if( $tipo == "1" )
            {
                $i_Id = Cr_cliente_fileDP::getNextId();
                $o_Cr_cliente_fileDP = new Cr_cliente_fileDP();
                $o_Cr_cliente_fileDP->setIdClienteFile( $i_Id );
                $o_Cr_cliente_fileDP->setIdCliente( ( int ) $id );
                $o_Cr_cliente_fileDP->setIdtipofile( ( int ) $CodTipoDocumento );
                $o_Cr_cliente_fileDP->setFileNumero( $NumeroDocumento );
                $o_Cr_cliente_fileDP->setEstado( "A" );
                $o_Cr_cliente_fileDP->setNombreFile( $name_file );
                $o_Cr_cliente_fileDP->setEliminado( -1 );
                $o_Cr_cliente_fileDP->setFechaRegistro( date( "Y-m-d H:i:s" ) );
                $o_Cr_cliente_fileDP->setUsuarioRegistro( $s_User );
                $b_Result = $o_Cr_cliente_fileDP->save();
            }
            if( $tipo == "2" )
            {
                $i_Id = Cr_prestamo_fileDP::getNextId();
                $o_Cr_prestamo_fileDP = new Cr_prestamo_fileDP();
                $o_Cr_prestamo_fileDP->setIdPrestamoFile( $i_Id );
                $o_Cr_prestamo_fileDP->setIdPrestamo( ( int ) $idPr );
                $o_Cr_prestamo_fileDP->setIdCliente( ( int ) $id );
                $o_Cr_prestamo_fileDP->setEstado( "P" );
                $o_Cr_prestamo_fileDP->setFileNumero( $NumeroDocumento );
                $o_Cr_prestamo_fileDP->setIdtipofile( ( int ) $CodTipoDocumento );
                $o_Cr_prestamo_fileDP->setNombreFile( $name_file );
                $o_Cr_prestamo_fileDP->setEliminado( -1 );
                $o_Cr_prestamo_fileDP->setFechaRegistro( date( "Y-m-d H:i:s" ) );
                $o_Cr_prestamo_fileDP->setUsuarioRegistro( $s_User );
                $b_Result = $o_Cr_prestamo_fileDP->save();
            }
        //}
        //else
        //{
          //  throw new Exception( "No se pudo guardar el archivo." );
        //}

        if( $b_Result )
        {
            ?>
            <script>
                parent.recargarApp();
                //parent.objMainTab.reqBody('<?php echo buildUrl('doc/addFile' ) ?>', '001&i_Id=<?php echo $i_Id ?>' );
                //parent.objMainTab.windowsCloseAll();
            </script>
            <?php
        }
    }
    catch ( Exception $o_Exception )
    {
        $s_MensajeError = $o_Exception->getMessage();
        echo '<div class="ui-widget" style="width: 100%; margin: 0 auto;"><div class="ui-state-error ui-corner-all" style="padding: 0 .7em;"><p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><strong>Error:</strong> '.$s_MensajeError.'</p></div></div>';
    }
}
?>
<?php
$o_Cr_tipo_fileFN = new Cr_tipo_fileFN();
if( $tipo == "1" )
{
    $o_Cr_tipo_fileFN->setView( "cliente" );
}
if( $tipo == "2" )
{
    $o_Cr_tipo_fileFN->setView( "prestamo" );
}
$a_Cr_tipo_file = $o_Cr_tipo_fileFN->select();
// echo "<pre>"; print_r( $a_Cr_tipo_file ); echo "</pre>";
if( !isset( $idPr ) )
{
    $idPr = "";
}
?>
<fieldset style="height: 97%;">
	<div class="block" style="height: 89%;">
        <form action="" method="post" name="form1" id="form1" enctype="multipart/form-data">
            <input type="hidden" name="b_Control" id="b_Control" value="ok"/>
            <input type="hidden" name="id" id="id" value="<?php echo $id ?>"/>
            <input type="hidden" name="idPr" id="idPr" value="<?php echo $idPr ?>"/>
            <input type="hidden" name="tipo" id="tipo" value="<?php echo $tipo ?>"/>
            <table width="100%" class="" style="">
                <tr>
                    <td align="center">

                        <table width="80%" cellspacing="0" cellpadding="0" border="0" class="marco marcoForm">
                            <tr>
                                <td nowrap="nowrap">
                                    <table width="100%" cellspacing="1" cellpadding="5" border="0" class="SubCabecera">
                                        <tr>
                                            <td width="40%" nowrap="nowrap" align="right"><label for="CodTipoDocumento" class="labelTitulo">Tipo de Documento :</label></td>
                                            <td nowrap="nowrap">
                                                <select class="combo required" name="CodTipoDocumento" id="CodTipoDocumento" title="Debe seleccionar documento">
                                                    <option value=""> - Seleccione - </option>
                                                    <?php if( $a_Cr_tipo_file ){ ?>
                                                        <?php foreach ( $a_Cr_tipo_file as $i_Key => $o_Cr_tipo_fileBN ){ ?>
                                                            <option value="<?php echo $o_Cr_tipo_fileBN->getIdtipofile() ?>"> <?php echo $o_Cr_tipo_fileBN->getDescripcion() ?> </option>
                                                        <?php } ?>
                                                    <?php } ?>
                                                </select>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td nowrap="nowrap">
                                    <table width="100%" cellspacing="1" cellpadding="5" border="0" class="SubCabecera">
                                        <tr>
                                            <td width="40%" nowrap="nowrap" align="right"><label for="NumeroDocumento" class="labelTitulo">Numero de Documento :</label></td>
                                            <td nowrap="nowrap"><input type="text" class="text required" name="NumeroDocumento" id="NumeroDocumento" title="Este campo es requerido."/> </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td nowrap="nowrap">
                                    <table width="100%" cellspacing="1" cellpadding="5" border="0" class="SubCabecera">
                                        <tr>
                                            <td width="40%" nowrap="nowrap" align="right"><label for="Archivo" class="labelTitulo">Archivo :</label></td>
                                            <td nowrap="nowrap">
                                                <input type="file" class="text" name="Archivo" id="Archivo" style="height: auto;"/><br>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>

                        <br>

                        <table width="80%" border="0" class="marco marcoForm">
                            <tr>
                            	 <td width="50%">
                                    <div id="s_ImagenLoad" style="display: none;"><img src="<?php echo Constantes::ROOT_DIR_APP ?>/web/images/progress.gif" border="0"/>&nbsp;<label class="laber req">Grabando...</label></div>
                                    &nbsp;
                                </td>
                                <td align="right" width="50%">
                                    <input type="button" class="button" value="Grabar" onclick="validar()">
                                    <input type="button" class="button" value="Cerrar" onclick="parent.objMainTab.windowsCloseAll();">
                                </td>

                            </tr>
                        </table>

                    </td>
                </tr>
            </table>
        </form>
	</div>
</fieldset>
<script>
	function validar(){
		var valid = new Validation('form1', {onSubmit:false});
	    var result = valid.validate();
		
	    if(result){
	    	$('form1').submit();
	    }
	}
    
</script>